Package org.apache.sling.models.spi.injectorspecific

# Interface StaticInjectAnnotationProcessorFactory

@ConsumerType public interface StaticInjectAnnotationProcessorFactory
Factory for `InjectAnnotationProcessor` that is evaluated once a sling model implementation class is registered. Whenever possible this interface should be favored above `InjectAnnotationProcessorFactory2`.

## Method Summary

Modifier and Type
Method
Description
`InjectAnnotationProcessor2`
`createAnnotationProcessor(AnnotatedElement element)`

## Method Details

### createAnnotationProcessor

InjectAnnotationProcessor2 createAnnotationProcessor(AnnotatedElement element)

Parameters:
  `element` - the field or method which is annotated
Returns:
  a ModelAnnotationProcessor in case there is a known injector-specific annotation on the given element found otherwise null